Decode Year, Make and Model

The year, make, model, trim, style, body, engine, drive and transmission a VIN decodes to, with its validation details.

GET
/ymm/{vin}
AuthorizationBearer <token>

Use your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY

In: header

Path Parameters

vinstring

17-character Vehicle Identification Number

Match^[A-HJ-NPR-Z0-9]{17}$

Response Body

curl -X GET "https://api.auto.dev/ymm/string"

{
  "vin": "1FMCU0G60LUA05025",
  "vinValid": true,
  "wmi": "1FM",
  "origin": "United States",
  "squishVin": "1FMCU0G6LU",
  "checkDigit": "0",
  "checksum": true,
  "type": "MPV",
  "years": [
    2020
  ],
  "year": 2020,
  "ambiguous": false,
  "make": "Ford",
  "model": "Escape",
  "trim": "SE FWD",
  "style": "1.5, 3 Cylinder Engine",
  "body": "4dr SUV",
  "engine": "1.5, 3 Cylinder Engine",
  "drive": "Front Wheel Drive",
  "transmission": "Automatic",
  "vehicle": {
    "vin": "1FMCU0G60LUA05025",
    "year": 2020,
    "make": "Ford",
    "model": "Escape",
    "manufacturer": "Ford Motor Company"
  }
}

{
  "vinValid": false,
  "error": {
    "status": 400,
    "error": "VIN must be exactly 17 characters containing only letters and numbers (excluding I, O, Q)",
    "code": "INVALID_VIN_FORMAT",
    "path": "/ymm/12345",
    "requestId": "a5986c13d8fd3f0e"
  }
}
{
  "error": {
    "status": 0,
    "error": "string",
    "code": "string",
    "path": "string",
    "requestId": "string",
    "reason": "not_yet_available",
    "retryable": true,
    "detectedMarket": {
      "country": "string",
      "region": "string"
    },
    "detectedClass": {
      "vehicleType": "string"
    }
  },
  "vin": "string",
  "vinValid": true
}